<%
    import datetime
    import re

    SERVER_ID_MATCH = re.compile(r'^([a-z0-9][a-z0-9\-\.]+[a-z0-9]-[0-9]+[a-z])(?:\.[a-z0-9\-\.]+[a-z0-9])?$').match

    m = SERVER_ID_MATCH(server_id)
    if m:
        server_id = m.group(1)

    att = {'title': "%s (ver. %s)" % (_SOFTNAME_, _SOFTVER_),
           'text': "%s on %s" % (status, server_id)}

    if status == 'processing':
        att['color'] = '#3498db'
    elif status == 'failure':
        att['color'] = '#e74c3c'
    elif status == 'success':
        att['color'] = '#2ecc71'
    else:
        att['color'] = '#bdc3c7'

    if status in ('failure', 'success'):
        att['text'] += " in %s" % datetime.timedelta(seconds = int(duration))

    payload = {'attachments': [att]}
%>
${{'headers':
     {'Content-Type': 'application/json'},
   'payload': payload} | n,json.dumps}
